## Apache Zeta Components Manual :: Docs For Class ezcWorkflowConditionVariable

### Workflow::ezcWorkflowConditionVariable

### Class ezcWorkflowConditionVariable

Wrapper that applies a condition to a workflow variable.

Source for this file: /Workflow/src/conditions/variable.php

### Implements interfaces:

- ezcWorkflowCondition

Version: | //autogen//

### Member Variables

protected ezcWorkflowCondition | `$condition` The condition that is applied to the variable.
protected string | `$variableName` The name of the variable the condition is applied to.

### Method Summary

public ezcWorkflowConditionVariable | `__construct( $variableName , $condition )` Constructor.

### Methods

#### __construct

ezcWorkflowConditionVariable __construct( string $variableName , ezcWorkflowCondition $condition )

Constructor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$variableName` | string |
`$condition` | ezcWorkflowCondition |

Documentation generated by phpDocumentor 1.4.3